Bug 167604 - man show "'" as "<A1><AF>" with reverse blank
man show "'" as "<A1><AF>" with reverse blank
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: groff (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jindrich Novy
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-06 01:56 EDT by han pingtian
Modified: 2013-07-02 19:09 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-26 05:25:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description han pingtian 2005-09-06 01:56:03 EDT
Description of problem:
When I use this locale:
LANG=zh_CN
LC_CTYPE=zh_CN
LC_NUMERIC="zh_CN"
LC_TIME=en_US
LC_COLLATE=en_US
LC_MONETARY="zh_CN"
LC_MESSAGES=en_US.utf8
LC_PAPER="zh_CN"
LC_NAME="zh_CN"
LC_ADDRESS="zh_CN"
LC_TELEPHONE="zh_CN"
LC_MEASUREMENT="zh_CN"
LC_IDENTIFICATION="zh_CN"
LC_ALL=
the man show the "'" as "<A1><AF>" with reverse blank.
But if I use the LC_ALL=C, there is no such problems.

Version-Release number of selected component (if applicable):
man-1.5p-4

How reproducible:
always

Steps to Reproduce:
1.set the locale as:
LANG=zh_CN
LC_CTYPE=zh_CN
LC_NUMERIC="zh_CN"
LC_TIME=en_US
LC_COLLATE=en_US
LC_MONETARY="zh_CN"
LC_MESSAGES=en_US.utf8
LC_PAPER="zh_CN"
LC_NAME="zh_CN"
LC_ADDRESS="zh_CN"
LC_TELEPHONE="zh_CN"
LC_MEASUREMENT="zh_CN"
LC_IDENTIFICATION="zh_CN"
LC_ALL=

2. type "man ctags" in a terminal.
3.
  
Actual results:
show "'" as "<A1><AF>" with reverse blank

Expected results:
show "'" as "'"

Additional info:
Comment 1 Jindrich Novy 2005-10-26 05:25:39 EDT
Setting LC_CTYPE=zh_CN.UTF-8 makes the problem go away.
Comment 2 han pingtian 2005-10-29 04:58:30 EDT
No. I do this in rxvt-2.7.10 & screen:
$ env LC_CTYPE=zh_CN.UTF-8 man ctags
and the "'" and the "+" befind it become a strange character ...

One another thing: when I do this:
$ env LC_ALL=C man bash
I find that the "`" becomes "'" in "Command substitution"! IT's a terrible mistake!
And it's a strange character when I do this in rxvt-2.7.10 & screen:
$ env LC_ALL=en_US.UTF-8 man bash
Comment 3 han pingtian 2005-10-29 05:32:04 EDT
It seems that all "`" becomes the "'"....

Note You need to log in before you can comment on or make changes to this bug.